import API_URL from "../config/api";
import type { ApiErrorResponse, Video } from "../types";

export function useGetVideosSearch() {
    async function getVideosSearch(searchQuery: string = "") {
        const response = await fetch(
            `${API_URL}/api/videos-search?search=${encodeURIComponent(searchQuery)}`,
            {
                method: "GET",
                headers: {
                    Accept: "application/json",
                    "Content-Type": "application/json",
                    Authorization: `Bearer ${localStorage.getItem("token")}`
                },
            }
        );

        const data = await response.json();

        if (response.ok) {
            return {
                videos: data.data as Video[],
                meta: data.meta
            };
        } else {
            return data as ApiErrorResponse;
        }
    }

    return { getVideosSearch };
}